# Read the documentation: https://github.com/1up-lab/OneupUploaderBundle/blob/master/Resources/doc/index.md
oneup_uploader:
    mappings:
        gardien:
            frontend: dropzone # or any uploader you use in the frontend
            storage:
                type: gaufrette
                filesystem: gaufrette.uploadsGardien_filesystem
            namer: tango.visuel_namer_gardien
            use_orphanage: true
            max_size: 8000000 # 8Mo
        club:
            frontend: dropzone # or any uploader you use in the frontend
            storage:
                type: gaufrette
                filesystem: gaufrette.uploadsClub_filesystem
            namer: tango.visuel_namer_club
            use_orphanage: true
            max_size: 8000000 # 8Mo
        # This is a mapping example, remove it and create your own mappings.
        exercice:
            frontend: dropzone # or any uploader you use in the frontend
            storage:
                type: gaufrette
                filesystem: gaufrette.uploadsExercice_filesystem
            namer: tango.visuel_namer_exercice
            use_orphanage: true
            max_size: 8000000 # 8Mo
        hashchecker:
            frontend: dropzone
            storage:
                type: gaufrette
                filesystem: gaufrette.uploads_filesystem
            use_orphanage: true
            max_size: 8000000 # 8Mo
            #max_size: '%env(DEPOT_MAX_FILE_SIZE)%'
    chunks:
        maxage: 86400 # 24h
        storage:
            directory: "%kernel.cache_dir%/uploader/chunks"
    orphanage:
        maxage: 86400 # 24h
        directory: "%env(ORPHANAGE_DIRECTORY)%"